> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Cost Centers

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /enterprises/{enterprise}/settings/billing/cost-centers`](https://docs.github.com/enterprise-cloud@latest/rest/billing/cost-centers#get-all-cost-centers-for-an-enterprise) - Get all cost centers for an enterprise
* [`POST /enterprises/{enterprise}/settings/billing/cost-centers`](https://docs.github.com/enterprise-cloud@latest/rest/billing/cost-centers#create-a-new-cost-center) - Create a new cost center
* [`GET /enterprises/{enterprise}/settings/billing/cost-centers/{cost_center_id}`](https://docs.github.com/enterprise-cloud@latest/rest/billing/cost-centers#get-a-cost-center-by-id) - Get a cost center by ID
* [`PATCH /enterprises/{enterprise}/settings/billing/cost-centers/{cost_center_id}`](https://docs.github.com/enterprise-cloud@latest/rest/billing/cost-centers#update-a-cost-center-name) - Update a cost center name
* [`DELETE /enterprises/{enterprise}/settings/billing/cost-centers/{cost_center_id}`](https://docs.github.com/enterprise-cloud@latest/rest/billing/cost-centers#delete-a-cost-center) - Delete a cost center
* [`POST /enterprises/{enterprise}/settings/billing/cost-centers/{cost_center_id}/resource`](https://docs.github.com/enterprise-cloud@latest/rest/billing/cost-centers#add-resources-to-a-cost-center) - Add resources to a cost center
* [`DELETE /enterprises/{enterprise}/settings/billing/cost-centers/{cost_center_id}/resource`](https://docs.github.com/enterprise-cloud@latest/rest/billing/cost-centers#remove-resources-from-a-cost-center) - Remove resources from a cost center
